Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2886053002: DevTools: do not use Bindings.NetworkProject.styleHeaderForUISourceCode in SourceFormatter (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by lushnikov
Modified:
1 month, 1 week ago
Reviewers:
caseq, dgozman
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

DevTools: do not use Bindings.NetworkProject.styleHeaderForUISourceCode in SourceFormatter This patch eliminates usage of styleHeaderForUISourceCode method in SourceFormatter. This is a pre-step before removing the styleHeaderForUISourceCode method from NetworkManager, which, in turn, is a pre-step before moving styles UISourceCode management into StylesSourcemapping. BUG=670180 R=caseq, dgozman Review-Url: https://codereview.chromium.org/2886053002 Cr-Commit-Position: refs/heads/master@{#473340} Committed: https://chromium.googlesource.com/chromium/src/+/1c17c7939f415f28bedd6c6729d2c5e704885268

Patch Set 1 #

Patch Set 2 : fix test #

Patch Set 3 : kill trailing space! #

Total comments: 2

Patch Set 4 : multiple rawLocations #

Patch Set 5 : nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -12 lines) Patch
M third_party/WebKit/LayoutTests/inspector/sources/formatter-css.html View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js View 1 2 3 4 3 chunks +14 lines, -11 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device   ios-simulator   ios-device-xcode-clang   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   cast_shell_linux   linux_android_rel_ng   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_rel_ng   chromium_presubmit   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 44 (26 generated)
lushnikov
please, take a look
1 month, 1 week ago (2017-05-16 23:28:38 UTC) #1
caseq
https://codereview.chromium.org/2886053002/diff/40001/third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js File third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js (right): https://codereview.chromium.org/2886053002/diff/40001/third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js#newcode283 third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js:283: var styleHeader = rawLocations.length ? rawLocations[0].header() : null; Let's ...
1 month, 1 week ago (2017-05-16 23:54:30 UTC) #6
lushnikov
please, take another look https://codereview.chromium.org/2886053002/diff/40001/third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js File third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js (right): https://codereview.chromium.org/2886053002/diff/40001/third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js#newcode283 third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js:283: var styleHeader = rawLocations.length ? ...
1 month, 1 week ago (2017-05-17 00:17:50 UTC) #7
caseq
lgtm
1 month, 1 week ago (2017-05-17 00:34:01 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886053002/80001
1 month, 1 week ago (2017-05-17 00:36:39 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/456778)
1 month, 1 week ago (2017-05-17 02:58:27 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886053002/80001
1 month, 1 week ago (2017-05-17 03:00:24 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/456861)
1 month, 1 week ago (2017-05-17 04:22:49 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886053002/80001
1 month, 1 week ago (2017-05-17 04:31:14 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/456931)
1 month, 1 week ago (2017-05-17 05:50:04 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886053002/80001
1 month, 1 week ago (2017-05-17 21:20:50 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/458192)
1 month, 1 week ago (2017-05-18 00:38:34 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886053002/80001
1 month, 1 week ago (2017-05-19 01:31:35 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/431446)
1 month, 1 week ago (2017-05-19 04:29:20 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886053002/80001
1 month, 1 week ago (2017-05-19 18:17:04 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/432108)
1 month, 1 week ago (2017-05-19 20:48:42 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886053002/80001
1 month, 1 week ago (2017-05-19 20:52:40 UTC) #41
commit-bot: I haz the power
1 month, 1 week ago (2017-05-19 21:47:02 UTC) #44
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/1c17c7939f415f28bedd6c6729d2...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318